# Generated from activerecord-delay_touching-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activerecord-delay_touching

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Batch up your ActiveRecord "touch" operations for better performance
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(rspec-rails) >= 3.0
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(yarjuf)
BuildArch: noarch

%description
Batch up your ActiveRecord "touch" operations for better performance.
ActiveRecord::Base.delay_touching do ... end. When "end" is reached, all
accumulated "touch" calls will be consolidated into as few database round
trips as possible.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/activerecord-delay_touching.gemspec
%{gem_instdir}/spec

%changelog
* Sun Aug 22 2021 mockbuilder - 1.1.0-1
- Initial package
